<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet"
        href="https://unpkg.com/bootstrap-material-design@4.1.1/dist/css/bootstrap-material-design.min.css"
        integrity="sha384-wXznGJNEXNG1NFsbm0ugrLFMQPWswR3lds2VeinahP8N0zJw9VWSopbjv2x7WCvX" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs4/dt-1.10.20/datatables.min.css" />
    <link rel="stylesheet"
        href="https://cdn.jsdelivr.net/gh/highlightjs/cdn-release@9.16.2/build/styles/atom-one-dark.min.css">

    <title>NPM Audit Report</title>
    <meta name="description" content="40 known vulnerabilities found.">

    <style>
        pre {
            background-color: #333333;
            padding: 15px;
        }

        pre code {
            color: #fff;
        }
    </style>

</head>

<body class="mb-3">
    <div class="container">
        <h1 class="mt-5 text-center">NPM Audit Report</h1>

        <div class="text-center">
            <div class="card-deck my-3">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">
                            40
                        </h5>
                        <p class="card-text">Known vulnerabilities</p>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">
                            0
                        </h5>
                        <p class="card-text">Dependencies</p>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">
                            December 9th 2023, 3:20:09 am
                        </h5>
                        <p class="card-text">Last updated</p>
                    </div>
                </div>
            </div>
            <div class="card-deck my-3">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">
                            0
                        </h5>
                        <p class="card-text">
                            <span class="badge badge-danger">critical</span>
                        </p>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">
                            2
                        </h5>
                        <p class="card-text">
                            <span class="badge badge-warning">high</span>
                        </p>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">
                            18
                        </h5>
                        <p class="card-text">
                            <span class="badge badge-secondary">moderate</span>
                        </p>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">
                            0
                        </h5>
                        <p class="card-text">
                            <span class="badge badge-primary">low</span>
                        </p>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">
                            0
                        </h5>
                        <p class="card-text">
                            <span class="badge badge-info">info</span>
                        </p>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col">

                <table id="advisories" class="table">
                    <thead>
                        <tr>
                            <th scope="col">Name</th>
                            <th scope="col">Module</th>
                            <th scope="col">Severity</th>
                            <th scope="col">CVEs</th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>



    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/v/bs4/dt-1.10.20/datatables.min.js"></script>

    <script>
        $(document).ready(function () {
            $('#advisories').DataTable({
                order: [[2, 'asc']]
            });
        });
    </script>
</body>

</html>